/*
 *    Copyright 2014-2023 IHE International
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

/**
 * ValidationStatus.java
 *
 * File generated from the ATNAQuestionnaire::ValidationStatus uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.atna.questionnaire.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import net.ihe.gazelle.hql.FilterLabel;

/**
 * Description of the enumeration ValidationStatus.
 *
 */

@XmlType(name = "ValidationStatus")
@XmlEnum
@XmlRootElement(name = "ValidationStatus")
public enum ValidationStatus {
	@XmlEnumValue("PASSED")
	PASSED("Passed"),
	@XmlEnumValue("FAILED")
	FAILED("Failed"),
	@XmlEnumValue("NOT PERFORMED")
	NOTPERFORMED("Not performed"),
	@XmlEnumValue("VALIDATOR NOT AVAILABLE")
	NOTAVAILABLE("No validator available"),
	@XmlEnumValue("NO FILE")
	NOFILE("No file uploaded"),
	@XmlEnumValue("ABORTED")
	ABORTED("Aborted"),
	@XmlEnumValue("NOT_RUN")
	NOTRUN("Not run");

	private final String value;

	ValidationStatus(String v) {
		value = v;
	}

	@FilterLabel
	public String value() {
		return value;
	}

	public String getValue() {
		return value;
	}

	public static ValidationStatus fromValue(String v) {
		for (ValidationStatus c : ValidationStatus.values()) {
			if (c.value.equalsIgnoreCase(v)) {
				return c;
			}
		}
		if (v != null && v.equals("NOT_RUN")){
			return NOTRUN;
		}
		throw new IllegalArgumentException(v);
	}

}